Routescope APIRoutescope API
RouteScope Self-Service

Get my consumption range stats

🔑 Requires token authentication (TokenAuth)

Returns the aggregated request count, total amount consumed and total tokens of the user that owns the current token within a time range. Commonly used for dashboard summary cards.

GET
/api/token/self/dashboard/consume-range
curl -X GET "https://webapi.routescope.ai/api/token/self/dashboard/consume-range"
{
  "success": true,
  "message": "",
  "data": {
    "request_count": 18,
    "quota": 0.24,
    "tokens": 4500
  }
}

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer Token for authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Query Parameters

start_timestamp?integer

Start time (Unix timestamp in seconds)

end_timestamp?integer

End time (Unix timestamp in seconds)

Response Body

application/json

How is this guide?

Last updated on